Get all enabled services for package
curl --request GET \
--url https://api-stage.karmacheck.io/package/id/{packageId}/services \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-stage.karmacheck.io/package/id/{packageId}/services"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-stage.karmacheck.io/package/id/{packageId}/services', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"serviceGroupServices": [
{
"serviceGroupId": "<string>",
"serviceGroupName": "<string>",
"serviceGroupDescription": "<string>",
"serviceId": "<string>",
"serviceName": "<string>",
"serviceDescription": "<string>",
"serviceGroupEnabled": true,
"serviceEnabled": true,
"serviceAutoProcessEnabled": true,
"serviceTypeEnabled": true,
"conditional": true,
"defaultSelected": true,
"serviceGroupServicesId": "<string>",
"serviceGroupPrice": 123
}
]
}Packages
Get all enabled services for package
Retrieves a list of all enabled services for a package.
GET
/
package
/
id
/
{packageId}
/
services
Get all enabled services for package
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
OK
A list of services, each containing detailed information about a service.
Show child attributes
Show child attributes
⌘I